Bug 733069 - DDS overlay tolerance parametr doesn't function and breakes default ttl
Summary: DDS overlay tolerance parametr doesn't function and breakes default ttl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 723514
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 15:53 UTC by Jan Vcelak
Modified: 2013-03-04 01:29 UTC (History)
4 users (show)

Fixed In Version: openldap-2.4.24-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of: 723514
Environment:
Last Closed: 2011-11-17 23:42:04 UTC


Attachments (Terms of Use)

Description Jan Vcelak 2011-08-24 15:53:37 UTC
+++ This bug was initially created as a clone of Bug #723514 +++

Created attachment 513997 [details]
Slapd configuration file

Description of problem:
DDS overlay tolerance parametr doesn't function. Default ttl parametr work bad with set dds-tolerance. EntryTtl attribute has right value, but entry is delete before ttl expiration.

Version-Release number of selected component (if applicable):
openldap-servers-2.4.23-15.el6

How reproducible:
always

Steps to Reproduce:
1.slaptest -f /etc/openldap/slapd.conf -F /etc/openldap/slapd.d/
(slapd.conf is in attachement)
2.add entry
dn: cn=OpenLDAP Documentation Meeting,ou=Meetings,dc=my-domain,dc=com
objectClass: groupOfNames
objectClass: dynamicObject
cn: OpenLDAP Documentation Meeting
member: cn=testusr1, dc=my-domain,dc=com
member: cn=testusr2, dc=my-domain,dc=com

3.sleep 120
4. ldapsearch -LLL -x -b 'cn=OpenLDAP Documentation Meeting,ou=Meetings,dc=my-domain,dc=com' \"(objectClass=dynamicObject)\"
  
Actual results:
Entry cn=OpenLDAP Documentation Meeting,ou=Meetings,dc=my-domain,dc=com doesn't exist after 120s (lifetime should be entryTtl  +  tolerance = 240s). Even entry doesn't exist after 30s.

Expected results:
Entry should be exist after 120s.

--- Additional comment from jvcelak@redhat.com on 2011-08-11 20:22:18 CEST ---

Created attachment 517864 [details]
proposed patch

olcDDStolerance setting had inverse effect and in fact was shortening entries real TTL. Attaching patch. It will be submitted upstream.

--- Additional comment from jvcelak@redhat.com on 2011-08-11 20:28:45 CEST ---

http://www.openldap.org/its/index.cgi?findid=7017

--- Additional comment from jvcelak@redhat.com on 2011-08-15 10:25:09 CEST ---

Resolved in openldap-2.4.23-17.el6

Comment 1 Fedora Update System 2011-08-24 19:33:22 UTC
openldap-2.4.26-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openldap-2.4.26-2.fc16

Comment 2 Fedora Update System 2011-08-24 19:39:02 UTC
openldap-2.4.24-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openldap-2.4.24-4.fc15

Comment 3 Fedora Update System 2011-08-26 19:03:56 UTC
Package openldap-2.4.24-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.24-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openldap-2.4.24-4.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-12 18:55:17 UTC
openldap-2.4.26-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openldap-2.4.26-3.fc16

Comment 5 Fedora Update System 2011-09-12 19:02:05 UTC
openldap-2.4.24-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openldap-2.4.24-5.fc15

Comment 6 Fedora Update System 2011-11-05 01:25:20 UTC
openldap-2.4.26-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-17 23:42:04 UTC
openldap-2.4.24-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.